﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Services;
using System.Text.RegularExpressions;
namespace CLRWebservice
{
    /// <summary>
    /// Summary description for EmailValidation
    /// </summary>
    [WebService(Namespace = "http://Sasi/EmailValidation/")]
    [WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
    [System.ComponentModel.ToolboxItem(false)]
    // To allow this Web Service to be called from script, using ASP.NET AJAX, uncomment the following line. 
    // [System.Web.Script.Services.ScriptService]
    public class EmailValidation : System.Web.Services.WebService
    {

        [WebMethod]
        public bool ValidateEmail(string emailId)
        {
            bool bOutputVal;
            string regExPattern =   @"^([a-zA-Z0-9_\-\.]+)@((\[[0-9]{1,3}" +
                                @"\.[0-9]{1,3}\.[0-9]{1,3}\.)|(([a-zA-Z0-9\-]+\" +
                                @".)+))([a-zA-Z]{2,4}|[0-9]{1,3})(\]?)$";
            Regex regEx = new Regex(regExPattern);

            bOutputVal = regEx.IsMatch(emailId.Trim());
            return bOutputVal;
        }
    }
}
